org.eclipse.microprofile.openapi.apps.petstore.model

## Class Dog

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.Pet
  - - org.eclipse.microprofile.openapi.apps.petstore.model.Dog

    public class Dog
    extends Pet

### Constructor Summary

Constructors
Constructor and Description
`Dog()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDogBreed()`
`void` `setDogBreed(String dogBreed)`

### Methods inherited from class org.eclipse.microprofile.openapi.apps.petstore.model.Pet

`getCategory, getId, getName, getPhotoUrls, getStatus, getTags, setCategory, setId, setName, setPhotoUrls, setStatus, setTags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dog

    public Dog()

### Method Detail

#### getDogBreed

    public String getDogBreed()

#### setDogBreed

    public void setDogBreed(String dogBreed)